# GST Number

GST Number verification process ensures that they are dealing with legitimate GST-registered suppliers or customers, and that they are claiming input tax credits correctly. The businesses' GST registration and compliance are verified to ensure that they are complying with the GST rules and regulations.

### Submit Document

#### ind\_gst

`POST` `https://secctrl.tutelar.io/api/v1/kyc/merchant/ind_gst`

Post parameters description is given below.

| Post Parameter | Type   | Is Mandatory | Description     |
| -------------- | ------ | ------------ | --------------- |
| gst\_number    | String | Yes          | Your GST Number |

**Sample Post Parameters**

```json
{
    "gst_number": "00AADCF9175D1ZP"
}
```

<details>

<summary>200: Success Response</summary>

```json
{
    "success": true,
    "status_code": 200,
    "message": "Document verification completed successfully.",
    "status": "completed",
    "reference_id": "e3a612af-565c-4491-819b-fe4fa16e8307",
    "result": {
        "document_status": "SUCCESS",
        "date_of_registration": "2020-08-01",
        "gstin": "00AADCF9175D1ZP",
        "gstin_status": "ACTIVE",
        "taxpayer_type": "REGULAR",
        "trade_name": "FOLOOSI TECHNOLOGIES PRIVATE LIMITED",
        "last_updated_date": "2020-08-07",
        "legal_name": "FOLOOSI TECHNOLOGIES PRIVATE LIMITED",
        "primary_business_contact": null,
        "additional_places_of_business_in_state": null,
        "nature_of_principal_place_of_business": "OFFICE / SALE OFFICE,SUPPLIER OF SERVICES",
        "principal_place_of_business_address": "PLOT NO.5, INDIRA AVENUE, THIRUPATHY NAGAR 4TH MAIN ROAD, KOLATHUR, TIRUVALLUR, TAMIL NADU, 600099"
    },
    "requested_at": "2023-09-21T13:16:10.036Z",
    "completed_at": "2023-09-21T13:16:10.418Z"
}
```

</details>

<details>

<summary>200: InProgress Response</summary>

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "ee974a80-6aaf-4b42-8a91-336d770c8eed",
    "status": "in_progress",
    "requested_at": "2024-04-18T10:27:44.604Z"
}
```

</details>

<details>

<summary>400: Validation Error Response</summary>

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Invalid GST Number",
        "field": "gst_number",
        "code": "BAD_REQUEST"
    }
}
```

</details>

<details>

<summary>200: Failure Response</summary>

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "d4c99151-7173-48c4-9dc6-d147f99e3df8",
    "status": "failed",
    "error": {
        "message": "Data not found",
        "code": "ERROR"
    },
    "requested_at": "2024-04-18T10:59:39.800Z",
    "completed_at": "2024-04-18T10:59:41.401Z"
}
```

</details>

### Check Document Status

#### Get document details

`GET` `https://secctrl.tutelar.io/api/v1/kyc/merchant/ind_gst`

Query parameters description is given below.

| Query Parameter | Type   | Is Mandatory | Description           |
| --------------- | ------ | ------------ | --------------------- |
| reference\_id   | String | Yes          | Document reference id |

<details>

<summary>200: Success Response</summary>

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "21a09955-839a-49c2-972e-df09224cd09f",
    "status": "completed",
    "result": {
        "gstin": "00AADCF9175D1ZP",
        "date_of_registration": "2020-08-01",
        "gstin_status": "Active",
        "taxpayer_type": "Regular",
        "trade_name": "FOLOOSI TECHNOLOGIES PRIVATE LIMITED",
        "legal_name": "FOLOOSI TECHNOLOGIES PRIVATE LIMITED",
        "date_of_cancellation": null,
        "constitution_of_business": "Private Limited Company",
        "address": "PLOT NO.5, INDIRA AVENUE, THIRUPATHY NAGAR 4TH MAIN ROAD, KOLATHUR, Tiruvallur, Tamil Nadu, 600099",
        "nature_of_principal_place_of_business": "Office / Sale Office, Supplier of Services"
    },
    "requested_at": "2024-04-18T10:57:18.437Z",
    "completed_at": "2024-04-18T10:57:19.391Z"
}
```

</details>

<details>

<summary>200: InProgress Response</summary>

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "ee974a80-6aaf-4b42-8a91-336d770c8eed",
    "status": "in_progress",
    "requested_at": "2024-04-18T10:27:44.604Z"
}
```

</details>

<details>

<summary>200: Failure Response</summary>

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "d4c99151-7173-48c4-9dc6-d147f99e3df8",
    "status": "failed",
    "error": {
        "message": "Data not found",
        "code": "ERROR"
    },
    "requested_at": "2024-04-18T10:59:39.800Z",
    "completed_at": "2024-04-18T10:59:41.401Z"
}
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/gst-number.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
